Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/IOPC.h"`
`#include "tao/Object_KeyC.h"`
`#include "ace/post.h"`

Include dependency graph for GIOPC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export void | operator<<= (CORBA::Any &, GIOP::IORAddressingInfo *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, GIOP::IORAddressingInfo *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const GIOP::IORAddressingInfo *&)
TAO_Export void | operator<<= (CORBA::Any &, const GIOP::TargetAddress &)
TAO_Export void | operator<<= (CORBA::Any &, GIOP::TargetAddress *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, GIOP::TargetAddress *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const GIOP::TargetAddress *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::TargetAddress &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::TargetAddress &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::Version &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::Version &)

## Detailed Description

GIOPC.h,v 1.11 2002/01/10 17:59:01 bala Exp

Generated from GIOP1_2.pidl, that contains a part of the new data type definitions for GIOP1.2 module. The code was generated by the IDL compiler and then hand-crafted to reduce the includes interdependencies. hand crafted by Balachandran Natarajan <bala@cs.wustl.edu>

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::Version & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::IORAddressingInfo & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo * | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::Version & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::IORAddressingInfo & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::IORAddressingInfo *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo *& | _tao_elem
| ) |